﻿using System.Collections.Generic;

namespace UnivateProperties_API.Containers.Timeshare
{
    public class ResortDisplay
    {
        public string ResortCode { get; set; }
        public string ResortName { get; set; }
        public string ResortImage { get; set; }
        public int WeeksAvailable { get; set; }
    }

    public class ResortData : GoMeloResort
    {
        public string Layout { get; set; }
        public string Description { get; set; }        
        public List<string> Images { get; set; }
    }

    public class GoMeloResort
    {
        public int PrIdx { get; set; }
        public string PrProductIndex { get; set; }
        public string PrProdType { get; set; }
        public string PrName { get; set; }
        public string PrPostAdd1 { get; set; }
        public Coords PrPostAdd2 { get; set; }
        public string PrPostTown { get; set; }
        public string PrPostCountry { get; set; }
        public string PrPostCode { get; set; }
        public string PrStreetAdd1 { get; set; }
        public string PrStreetAdd2 { get; set; }
        public string PrStreetTown { get; set; }
        public string PrStreetCountry { get; set; }
        public string PrStreetCode { get; set; }
        public string PrLastDate { get; set; }
        public string PrManager { get; set; }
        public string PrReservations { get; set; }
        public string PrStartDate { get; set; }
        public string PrStartYear { get; set; }
        public string PrEndDate { get; set; }
        public string PrNoYears { get; set; }
        public string PrIntervals { get; set; }
        public int PrIntervalWe { get; set; }
        public int PrIntervalMw { get; set; }
        public string PrRegion { get; set; }
        public string PrCity { get; set; }
        public string PrProvince { get; set; }
        public string PrCheckin { get; set; }
        public string PrCheckout { get; set; }
        public string PrCheckInDay { get; set; }
        public string PrNotes { get; set; }
        public string PrDirections { get; set; }
        public string PrUnitFacilities { get; set; }
        public string PrAttractions { get; set; }
        public string PrAlerts { get; set; }
        public string PrManaged { get; set; }
        public string PrCountry { get; set; }
        public string PrWww { get; set; }
        public string PrManAgent { get; set; }
        public string PrImagePath { get; set; }
        public string PrRciaffiliated { get; set; }
        public string PrSelfCatering { get; set; }
        public string PrLatitude { get; set; }
        public string PrLongitude { get; set; }
        public string PrAirport { get; set; }
        public int PrAirportDistance { get; set; }
        public string PrStadium { get; set; }
        public int PrStadiumDistance { get; set; }
        public string PrWcCity { get; set; }
        public int PrWcCityDistance { get; set; }
    }

    public class Coords
    {
        public string Lat { get; set; }
        public string Long { get; set; }
    }
}
