﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace UnivateProperties_API.Migrations
{
    public partial class campaignType : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<bool>(
                name: "IsTimeshare",
                table: "Campaigns",
                nullable: false,
                defaultValue: false);

            migrationBuilder.CreateIndex(
                name: "IX_CampaignItems_PropertyId",
                table: "CampaignItems",
                column: "PropertyId");

        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_CampaignItems_Properties_PropertyId",
                table: "CampaignItems");

            migrationBuilder.DropIndex(
                name: "IX_CampaignItems_PropertyId",
                table: "CampaignItems");

            migrationBuilder.DropColumn(
                name: "IsTimeshare",
                table: "Campaigns");
        }
    }
}
