﻿using System;
using System.Collections.Generic;
using UnivateProperties_API.Containers.Users;
using UnivateProperties_API.Model.Users;

namespace UnivateProperties_API.Repository.Users
{
    public interface IUserRepository
    {
        List<User> Get(Func<User, bool> where);
        List<User> GetAll();
        User GetDetailed(Func<User, bool> first);
        void Insert(User item);
        void Insert(IEnumerable<User> item);
        void Remove(User item);
        void Remove(IEnumerable<User> items);
        void RemoveAtId(int item);
        void Update(UserDto userParam);
        void Save();
        List<User> GetDetailedAll();
    }
}
