﻿using Microsoft.EntityFrameworkCore.Migrations;

namespace UnivateProperties_API.Migrations
{
    public partial class CommunicationSystem1 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropPrimaryKey(
                name: "PK_MailModel",
                table: "MailModel");

            migrationBuilder.RenameTable(
                name: "MailModel",
                newName: "CommunicationLog");

            migrationBuilder.AddColumn<string>(
                name: "ComType",
                table: "CommunicationLog",
                nullable: true);

            migrationBuilder.AddPrimaryKey(
                name: "PK_CommunicationLog",
                table: "CommunicationLog",
                column: "Id");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropPrimaryKey(
                name: "PK_CommunicationLog",
                table: "CommunicationLog");

            migrationBuilder.DropColumn(
                name: "ComType",
                table: "CommunicationLog");

            migrationBuilder.RenameTable(
                name: "CommunicationLog",
                newName: "MailModel");

            migrationBuilder.AddPrimaryKey(
                name: "PK_MailModel",
                table: "MailModel",
                column: "Id");
        }
    }
}
